Cómo cambiar la versión de herramientas de compilación en Android Studio

Tengo un problema con jfeinstein10

He añadido la biblioteca a mi carpeta de proyectos raíz. Pero consigo este error:

Error: La revisión Herramientas de compilación de SDK (17.0.0) es demasiado baja para el proyecto ': SlidingMenu'. El mínimo requerido es 19.1.0

Pero ya estoy usando "19.1.0", pero todavía dice que estoy usando 17.0.0

Aquí está mi build.gradle

apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.repliklernet.replikler" minSdkVersion 14 targetSdkVersion 22 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.2.1' compile group:'com.squareup.picasso', name:'picasso', version:'2.5.0' compile project(':SlidingMenu') } 

Qué me estoy perdiendo ?

Si observa el archivo build.gradle de la biblioteca, puede ver que hace referencia a las herramientas de construcción 17: https://github.com/jfeinstein10/SlidingMenu/blob/master/library/build.gradle#L17

Es necesario actualizar esa línea.

El error es realmente darle una indirecta al mencionar el project ':SlidingMenu' , refiriéndose al proyecto SlidingMenu.

Debe cambiar el build.gradle dentro de su biblioteca

  • Implementar la aplicación de Android. Falta la tarea 'installReleaseDebug' para gradle
  • Android Studio 1.1 Gradle 2.2.1 Gradle versión 2.1 requiere la versión actual es 2.2.1
  • ¿Cómo envío una Biblioteca de Android (aar) con dependencias remotas (gradle)?
  • Android Studio crear una variante de construcción / tipo excluyendo jniLibs?
  • El acceso a la tarea dex es ahora imposible, comenzando con 1.4.0
  • ¿Cómo puedo incluir cadenas de otro módulo en Android Studio
  • Módulo hermano de importación en Android Studio
  • Agregar bibliotecas de soporte v7, v13 con gradle no funciona
  • Cómo cambiar el nombre del archivo mapping proguard en gradle para el proyecto de Android
  • ¿Cómo funciona el nuevo applicationId en build.gradle?
  • Reemplazar una cadena en AndroidManifest.xml para un buildvariant no funciona para Gradle Android Plugin Version> 0.5.4
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.